﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * PartyIdentification is characterized by
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/party/corporate-identification"
	xmlns:ptyIdent001="https://qa.devgcm-system.com/custom/XMLSchema/party/corporate-identification"
	xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
	xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<!--
	-->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<!--
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDomain/CBE-v0_1.xsd"/>
	-->

	<!--
	 *
	 *==========================================================================
	 * ■Corporate Identification : <Specification's objectID>
	 *==========================================================================
	 *
	-->
	<!-- ■corporateIdentification (Element) substitution element -->
	<xsd:element name="corporateIdentification" type="ptyIdent001:CorporateIdentification"
			substitutionGroup="cbe-v0:baseEntityIsCharcterizedBy"/>

	<!-- ■CorporateIdentification (Datatype) -->
	<xsd:complexType name="CorporateIdentification">
		<xsd:sequence>
			<xsd:element name="corporationID" type="ptyIdent001:CharacteristicSpecification1" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:string" use="optional" />
	</xsd:complexType>

	<!-- ■CharacteristicSpecification1 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification1">
		<xsd:sequence>
			<xsd:element name="characteristicValue" type="ptyIdent001:CharacteristicValue1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue1 (Datatype) -->
	<xsd:complexType name="CharacteristicValue1">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:CommonBusinessEntity">
				<xsd:sequence>
					<xsd:element ref="cbe-v0:baseCharcValueDescribedBy" minOccurs="0"/>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<xsd:element ref="ptyIdent001:corporationID" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->
	<!-- ■corporationID (Element) substitution element -->
	<xsd:element name="corporationID" nillable="false"
			substitutionGroup="cbe-v0:baseValue">
		<xsd:simpleType>
			<xsd:restriction base="xsd:string">
				<xsd:length value="11" fixed="true"/>
				<xsd:pattern value="C[0-9]{10}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

</xsd:schema>
